# OpenLayers.Popup.AnchoredBubble

#### Inherits from

- OpenLayers.Popup.Anchored

Summary

OpenLayers.Popup.AnchoredBubble |
Properties |
rounded | {Boolean} Has the popup been rounded yet?
Constructor |
OpenLayers.Popup.AnchoredBubble |
Functions |
draw |
updateRelativePosition | The popup has been moved to a new relative location, in which case we will want to re-do the rico corners.
setSize |
setBackgroundColor |
setOpacity |
setBorder | Always sets border to 0.
setRicoCorners | Update RICO corners according to the popup’s current relative postion.
getCornersToRound | {String} The proper corners string (“tr tl bl br”) for rico to round.
Constants |
CORNER_SIZE | {Integer} 5.

### Properties

### rounded

{Boolean} Has the popup been rounded yet?

### Constructor

### OpenLayers.Popup.AnchoredBubble

#### Parameters

id | {String}
lonlat | {OpenLayers.LonLat}
contentSize | {OpenLayers.Size}
contentHTML | {String}
anchor | {Object} Object to which we’ll anchor the popup. Must expose a ‘size’ (OpenLayers.Size) and ‘offset’ (OpenLayers.Pixel) (Note that this is generally an OpenLayers.Icon).
closeBox | {Boolean}
closeBoxCallback | {Function} Function to be called on closeBox click.

### Functions

### draw

> draw: function( | px | )

#### Parameters

px | {OpenLayers.Pixel}

#### Returns

{DOMElement} Reference to a div that contains the drawn popup.

### updateRelativePosition

> updateRelativePosition: function()

The popup has been moved to a new relative location, in which case we will want to re-do the rico corners.

### setSize

> setSize:function( | contentSize | )

#### Parameters

contentSize | {OpenLayers.Size} the new size for the popup’s contents div (in pixels).

### setBackgroundColor

> setBackgroundColor:function( | color | )

#### Parameters

color | {String}

### setOpacity

> setOpacity:function( | opacity | )

#### Parameters

opacity | {float}

### setBorder

> setBorder:function( | border | )

Always sets border to 0. Bubble Popups can not have a border.

#### Parameters

border | {Integer}

### setRicoCorners

> setRicoCorners:function()

Update RICO corners according to the popup’s current relative postion.

### getCornersToRound

> getCornersToRound:function()

#### Returns

{String} The proper corners string (“tr tl bl br”) for rico to round.

### Constants

### CORNER_SIZE

{Integer} 5. Border space for the RICO corners.

> draw: function( | px | )

> updateRelativePosition: function()

The popup has been moved to a new relative location, in which case we will want to re-do the rico corners.

> setSize:function( | contentSize | )

> setBackgroundColor:function( | color | )

> setOpacity:function( | opacity | )

> setBorder:function( | border | )

Always sets border to 0.

> setRicoCorners:function()

Update RICO corners according to the popup’s current relative postion.

> getCornersToRound:function()

{String} The proper corners string (“tr tl bl br”) for rico to round.
This class represents a longitude and latitude pair
Instances of this class represent a width/height pair
This class represents a screen coordinate, in x and y coordinates
The icon represents a graphical icon on the screen.
Close